ON_ObjectArray< T > Class Template Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

Inheritance diagram for ON_ObjectArray< T >:

## Public Member Functions

| ON_ObjectArray ()
| ~ON_ObjectArray ()
| ON_ObjectArray (int)
| ON_ObjectArray (const ON_ObjectArray< T > &)
ON_ObjectArray< T > & | operator= (const ON_ObjectArray< T > &)
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
T * | Realloc (T *, int)
bool | HeapSort (int(*)(const T *, const T *))
bool | QuickSort (int(*)(const T *, const T *))
Public Member Functions inherited from ON_ClassArray< T >
| ON_ClassArray ()
| ON_ClassArray (int)
| ON_ClassArray (const ON_ClassArray< T > &)
virtual | ~ON_ClassArray ()
ON_ClassArray< T > & | operator= (const ON_ClassArray< T > &)
void | EmergencyDestroy (void)
int | Count () const
unsigned int | UnsignedCount () const
int | Capacity () const
unsigned int | SizeOfArray () const
unsigned int | SizeOfElement () const
T & | operator[] (int)
T & | operator[] (unsigned int)
T & | operator[] (ON__INT64)
T & | operator[] (ON__UINT64)
const T & | operator[] (int) const
const T & | operator[] (unsigned int) const
const T & | operator[] (ON__INT64) const
const T & | operator[] (ON__UINT64) const
| operator T* ()
| operator const T * () const
T * | First ()
const T * | First () const
T * | At (int)
T * | At (unsigned int)
T * | At (ON__INT64)
T * | At (ON__UINT64)
const T * | At (int) const
const T * | At (unsigned int) const
const T * | At (ON__INT64) const
const T * | At (ON__UINT64) const
T * | Last ()
const T * | Last () const
T & | AppendNew ()
void | Append (const T &)
void | Append (int, const T *)
void | Insert (int, const T &)
void | Remove ()
void | Remove (int)
void | Empty ()
void | Reverse ()
void | Swap (int, int)
int | Search (const T *, int(*)(const T *, const T *)) const
int | BinarySearch (const T *, int(*)(const T *, const T *)) const
int | BinarySearch (const T *, int(*)(const T *, const T *), int) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const T *, const T *)) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const T *, const T *, void *), void *) const
bool | Permute (const int *)
void | Zero ()
void | Reserve (int)
void | Shrink ()
void | Destroy ()
T * | Array ()
const T * | Array () const
void | SetCount (int)
void | SetCapacity (int)
int | NewCapacity () const
T * | KeepArray ()
void | SetArray (T *)
void | SetArray (T *, int, int)

## Additional Inherited Members

Protected Member Functions inherited from ON_ClassArray< T >
void | Move (int, int, int)
void | ConstructDefaultElement (T *)
void | DestroyElement (T &)
Protected Attributes inherited from ON_ClassArray< T >
T * | m_a
int | m_count
int | m_capacity

## Detailed Description

### template<class T>
class ON_ObjectArray< T >

Definition at line 1120 of file opennurbs_array.h.

## Constructor & Destructor Documentation

## ON_ObjectArray() [1/3]

template<class T >

ON_ObjectArray< T >::ON_ObjectArray

Definition at line 862 of file opennurbs_array_defs.h.

## ~ON_ObjectArray()

template<class T >

ON_ObjectArray< T >::~ON_ObjectArray

Definition at line 867 of file opennurbs_array_defs.h.

## ON_ObjectArray() [2/3]

template<class T >

ON_ObjectArray< T >::ON_ObjectArray | ( | int | c | ) |

Definition at line 888 of file opennurbs_array_defs.h.

## ON_ObjectArray() [3/3]

template<class T >

ON_ObjectArray< T >::ON_ObjectArray | ( | const ON_ObjectArray< T > & | src | ) |

Definition at line 872 of file opennurbs_array_defs.h.

## Member Function Documentation

## DataCRC()

template<class T >

ON__UINT32 ON_ObjectArray< T >::DataCRC | ( | ON__UINT32 | current_remainder | ) | const

Definition at line 924 of file opennurbs_array_defs.h.

## HeapSort()

template<class T >

bool ON_ObjectArray< T >::HeapSort | ( | int(*)(const T *, const T *) | compar | ) |

virtual

Reimplemented from ON_ClassArray< T >.

Definition at line 1523 of file opennurbs_array_defs.h.

## operator=()

template<class T >

ON_ObjectArray< T > & ON_ObjectArray< T >::operator= | ( | const ON_ObjectArray< T > & | src | ) |

Definition at line 877 of file opennurbs_array_defs.h.

## QuickSort()

template<class T >

bool ON_ObjectArray< T >::QuickSort | ( | int(*)(const T *, const T *) | compar | ) |

virtual

Reimplemented from ON_ClassArray< T >.

Definition at line 1548 of file opennurbs_array_defs.h.

## Realloc()

template<class T >

T * ON_ObjectArray< T >::Realloc | ( | T * | ptr,
|  | int | capacity
| ) |  |

virtual

Reimplemented from ON_ClassArray< T >.

Definition at line 894 of file opennurbs_array_defs.h.

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/opennurbs/opennurbs_array.h
- pcl/surface/3rdparty/opennurbs/opennurbs_array_defs.h